Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.spi
Interface AuthenticationService

    public interface AuthenticationService

Interface for authentication service components.

Author:
  Frank Cornelis

Method Summary
`void` | `validateCertificateChain(List<X509Certificate> certificateChain)` Validates the given certificate chain.

Method Detail

### validateCertificateChain

    void validateCertificateChain(List<X509Certificate> certificateChain)
                                  throws ExpiredCertificateSecurityException,
                                         RevokedCertificateSecurityException,
                                         TrustCertificateSecurityException,
                                         CertificateSecurityException,
                                         SecurityException

  Validates the given certificate chain. After the eID Applet Service has verified the authentication signature, it will invoke this method on your authentication service component. The implementation of this method should validate the given certificate chain. This validation could be based on PKI validation, or could be based on simply trusting the incoming public key. The actual implementation is very dependent on your type of application. This method should only be used for certificate validation. Processing the incoming citizen identifier (if required at all) should be handled as part of the eID Applet target page.

  Check out jTrust for an implementation of a PKI validation framework.

  Parameters:
    `certificateChain` - the X509 authentication certificate chain of the citizen.
  Throws:
    `SecurityException` - in case the certificate chain is invalid/not accepted.
    `ExpiredCertificateSecurityException`
    `RevokedCertificateSecurityException`
    `TrustCertificateSecurityException`
    `CertificateSecurityException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.